Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.spring.jee
Class JEEContextLoaderListener

    java.lang.Object
      org.springframework.web.context.ContextLoaderListener
          org.mortbay.jetty.spring.jee.JEEContextLoaderListener

All Implemented Interfaces:
  EventListener, ServletContextListener

    public class JEEContextLoaderListener

extends org.springframework.web.context.ContextLoaderListener

JEEContextLoaderListener This creates the JEEContextLoader to hook the pitchfork ebj3 environment into webapps.

Constructor Summary
`JEEContextLoaderListener()`

Method Summary
`protected org.springframework.web.context.ContextLoader` | `createContextLoader()`

Methods inherited from class org.springframework.web.context.ContextLoaderListener
`contextDestroyed, contextInitialized, getContextLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEEContextLoaderListener

    public JEEContextLoaderListener()

Method Detail

### createContextLoader

    protected org.springframework.web.context.ContextLoader createContextLoader()

  Overrides:
    `createContextLoader` in class `org.springframework.web.context.ContextLoaderListener`
  See Also:
    `ContextLoaderListener.createContextLoader()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.